import { Instruction } from "@orca-so/common-sdk";
import { AccountMeta, PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type CancelOfferParams = {
    offer: PublicKey;
    tokenMint: PublicKey;
    user: PublicKey;
    userTokenAccount: PublicKey;
    tokenVault: PublicKey;
    nativeVault: PublicKey;
    configRentVault: PublicKey;
    remainingAccounts: AccountMeta[];
};
export declare function cancelOffer(program: Program<Escrow>, params: CancelOfferParams): Promise<Instruction>;
