import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type CancelOrderParams = {
    tradeOrder: PublicKey;
    user: PublicKey;
    userTokenAccount: PublicKey;
    tokenVault: PublicKey;
    nativeVault: PublicKey;
};
export declare function cancelOrder(program: Program<Escrow>, params: CancelOrderParams): Promise<Instruction>;
