import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
import { PDAInfo } from "../pda";
export type SavePaymentEvidence = {
    escrowConfig: PublicKey;
    configRentVault: PublicKey;
    evidencePDA: PDAInfo;
    sellerData: string;
    arbitratordata: string;
    nonce: string;
    tradeAccount: PublicKey;
    user: PublicKey;
};
export declare function savePaymentEvidence(program: Program<Escrow>, params: SavePaymentEvidence): Promise<Instruction>;
