/// <reference types="bn.js" />
import { BN } from "@project-serum/anchor";
import { PublicKey } from "@solana/web3.js";
export { InitializeConfigParams } from "../instructions";
export type ConfigOptionParams = {
    treasuryPubkey?: PublicKey;
    bondSize?: BN;
    arbitratorCommission?: BN;
    paymentDuration?: BN;
    treasuryShare?: BN;
    cancelPenaltyRate?: BN;
    limitActiveBondlessTrade?: number;
};
